package com.delfines.dao;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public final class ConnectionFactoryCostos160{
	/**desarrollo**/
	public static final String URL = "jdbc:sqlserver://10.0.0.160:1433;databaseName=db_costos;user=sa;password=admin";
	
	private static ConnectionFactoryCostos160 instance;
    private Connection connection;

    private ConnectionFactoryCostos160() {
        this.connect();
    }
	
	public static ConnectionFactoryCostos160 getInstance() {
        if (ConnectionFactoryCostos160.instance == null) {
        	ConnectionFactoryCostos160.instance = new ConnectionFactoryCostos160();
        }
        return ConnectionFactoryCostos160.instance;
    }
	
	private void connect() {
        try {
        	Class.forName("com.microsoft.sqlserver.jdbc.SQLServerDriver");  
			this.connection=DriverManager.getConnection(URL);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
	
	public Connection getConnection() {
		try {
			this.connection=DriverManager.getConnection(URL);
        } catch (SQLException e) {
            e.printStackTrace();
        }
        return this.connection;
    }
    /**
     * Test Connection
     */
    public static void main(String[] args) {
    	
    	try{
	    	System.out.println("conecct...");
	        Connection connection = ConnectionFactoryCostos160.getInstance().getConnection();
	        String SQL = "select * from area";  
	        Statement stmt = connection.createStatement();  
	        ResultSet rs = stmt.executeQuery(SQL);
	        while (rs.next()) {  
	            System.out.println(rs.getString(1) + " " + rs.getString(2));  
	         }  
    	}catch(Exception e){
    		e.printStackTrace();
    	}
        
    }
}

