<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<body>

		
		<table id="example-group" cellspacing="0" cellpadding="0" class="table table-striped table-bordered" style="width:100%" >
			<thead>
				<tr>
					<th colspan="11">
						<p>
							<font color="red">
							 ${msg}
							</font> 
						</p>
					</th>
				</tr>
				
				<tr>
					<th colspan="11">
						<br>GRUPO DE GUIAS</br>
					</th>
				</tr>
				<tr>
					<th>Guia</th>
					<th>Documento</th>
					<th>Denominacion Cliente</th>
					<th>Fecha Guia</th>
					<th>Entrega</th>
					
					<th>Total general</th>
					<th>Total descuento</th>
					<th>Total recargo</th>
					<th>Total Neto</th>
					
					<th>Usuario</th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				<c:set var="total_cantidad" value="0" scope="request" />
				<c:set var="total_general" value="0" scope="request" />
				<c:set var="total_descuento" value="0" scope="request" />
				<c:set var="total_recargo" value="0" scope="request" />
				<c:set var="total_neto" value="0" scope="request" />
				
				<c:forEach items="${listaGrupo}" var="co"  varStatus="item" >
					<tr>							
						<td>
							${co.nroGuia}
						</td>
						<td>
							${co.tipoDocumento} ${co.nroDocumento}
						</td>
						<td>
							${co.denominacionCliente}
						</td>
						<td>
							${co.fechaGuia}
						</td>
						<td>
							<c:if test="${(empty co.fechaEntrega) }">
								NO
							</c:if>	
							<c:if test="${(!empty co.fechaEntrega) }">
								SI
							</c:if>
						</td>
						
						<td align="right">
							${co.totalGeneral}
						</td>
						<td align="right">
							${co.totalDescuento}
						</td>
						<td align="right">
							${co.totalRecargo}
						</td>
						<td align="right">
							${co.totalNeto}
						</td>
						
						<td>
							${co.usuario}
						</td>
						
						<td align="center">
							<button type="button" class="btn btn-danger btn-sm" onclick="deleteGroup(${co.idGuia})" >
								<i class="entypo-cancel-circled"></i>
							</button>
							<input type="hidden" value="${co.idGuia}" >
						</td>
					</tr>
				
				<c:set var="total_cantidad" value="${total_cantidad + 1}" scope="request"/>
				<c:set var="total_general" value="${total_general + co.totalGeneral}" scope="request"/>
				<c:set var="total_descuento" value="${total_descuento + co.totalDescuento}" scope="request"/>
				<c:set var="total_recargo" value="${total_recargo + co.totalRecargo}" scope="request"/>
				<c:set var="total_neto" value="${total_neto + co.totalNeto}" scope="request"/>	
			</c:forEach>
			<tbody>
			
			<tfoot>
				<tr>
					<td></td>
					<td>Total</td>
					<td>
						${total_cantidad}
					</td>
					
					<td></td>
					<td></td>
					
					<td align="right">
						<fmt:formatNumber type = "number" maxFractionDigits = "3" value = "${total_general}" />
					</td>
					<td align="right">
						<fmt:formatNumber type = "number" maxFractionDigits = "3" value = "${total_descuento}" />
					</td>
					<td align="right">
						<fmt:formatNumber type = "number" maxFractionDigits = "3" value = "${total_recargo}" />
					</td>
					<td align="right">
						<fmt:formatNumber type = "number" maxFractionDigits = "3" value = "${total_neto}" />
					</td>
					
					<td></td>
					<td></td>
				</tr>
			</tfoot>
		</table>
		
		<button type="button" id="cmdFacturarGrupo" class="btn btn-danger" >Comprobante [C] <i class="entypo-publish"></i> </button>
		<input type="hidden" id="hIdGuias" >
		<input type="hidden" id="hIdGuiasCant" >
						
	<script>
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
	var pidGrupo=$('#pidGrupo').attr('data-contextPath');
	
	$(document).ready(function() {

		function setIdGuias(){
			var cant=0
			var idLeads=""
			$('#example-group tr').each(function (i, row) {
		        var $actualrow = $(row);
		        $textbox = $actualrow.find('input:hidden');
		        if (typeof $textbox.attr('value') !== "undefined") {
		        	idLeads=idLeads+","+$textbox.attr('value');
		        	cant=cant+1;
		        }
		    });
			$("#hIdGuias").val(idLeads);
			$("#hIdGuiasCant").val(cant);
		}
		
		
		$("#cmdFacturarGrupo").click(function (event) {

			setIdGuias();

			var idListaGuia=$("#hIdGuias").val();
			var idGuiasCant=$("#hIdGuiasCant").val();

			if(idGuiasCant>0){
				$.ajax({
					url : baseURL + "/create-factura-desde-lista-guia",
					data : {
						idListaGuia: idListaGuia
					},
					async:false,
					type : "get",
					success : function(response) {
						window.location.replace(baseURL+"/registro-factura");
					}
				});
			}else{
				alert('Seleccione las guias para la generación del comprobante!');
			}
			
		});
		
	});

	function deleteGroup(idGuia){
		$.ajax({
			url : baseURL + "/delete-group-guia",
			data : {
				idGuia:idGuia,
				pidGrupo:pidGrupo	
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDivGroup").html( response );
			}
		});
	}
	
	$(document).ready(function() {
		$('#example-group').DataTable( {
	    	"scrollCollapse": false,
	        "bFilter": false,
	        "lengthChange": false,
	        "pageLength":  1000,
			autoWidth: false, //step 1
			"columnDefs": [
							{ "width": "2px", "targets": 0}
			             ]
	    		} );
		});
		
	</script>
	
	<STYLE TYPE="text/css">
	<!--
	TD{font-family: Arial; font-size: 8pt;}
	TH{font-family: Arial; font-size: 8pt;}
	--->
	</STYLE>

</body>
</html>