<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<body>
<table id="example" cellspacing="0" cellpadding="0" class="cell-border display compact" style="width:100%" >
							<thead>
								<tr>
									<th>Guia</th>
									<th>Fecha Guia</th>
									<th>Fecha Comp.</th>
									<th>Cliente</th>
									<th align="right">Cantidad</th>
									<th align="right">Total Linea</th>
									<th>Servicio</th>
									<th>Detalle Servicio</th>
									<th>Prioridad</th>
									<th>Clasificacion</th>
									<th>Estado Entrega</th>
									<th>Usuario</th>
								</tr>
							</thead>
							<tbody>
								<c:forEach items="${lista}" var="co"  varStatus="item" >
								<tr>							
									<td>
										${co.nroGuia}
									</td>
									<td>
										${co.fechaGuia}
									</td>
									<td>
										${co.fechaComprometida}
									</td>
									<td>
										${co.denominacionCliente}
									</td>
									<td align="right">
										${co.cantidad}
									</td>
									
									<td align="right">
										${co.formatTotalLinea}
									</td>
									
									<td>
										${co.servicio}
									</td>
									<td>
										${co.detalleServicio}
									</td>
									<td>
										${co.prioridad}
									</td>
									<td>
										${co.clase}
									</td>
									<td>
										${co.estadoEntrega}
									</td>
									<td>
										${co.usuario}
									</td>
								</tr>
							</c:forEach>
							<tbody>
						</table>
						
						
	<script>
	$(document).ready(function() {
		$('#example').DataTable( {
			"scrollCollapse": true,
	        "jQueryUI":       true,
	        "bFilter": true,
	        "pageLength": 100,
	        dom : 'Bfrtip',
	        buttons : [ {extend:'excel',footer: false,title:'Reporte de produccion'}],
			autoWidth: false, //step 1
			"columnDefs": [
							{ "width": "2px", "targets": 0}
			             ]
	    		} );
		});
	</script>
	
	
	<STYLE TYPE="text/css">
	<!--
	TD{font-family: Arial; font-size: 8pt;}
	TH{font-family: Arial; font-size: 8pt;}
	--->
	</STYLE>

</body>
</html>