<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<body>
						<table id="example" cellspacing="0" cellpadding="0" class="cell-border display compact" style="width:100%" >
							<thead>
								<tr>
									<th>Seq. Mes</th>
									<th>Documento</th>
									<th>Denominacion Cliente</th>
									<th>Fecha Comp.</th>
									<th>Nro Comprobante</th>
									<th>FP</th>
									<th>Tarjeta</th>
									<th>Fecha Hora Pago</th>
									<th>Monto Pago</th>
									<th>Usuario</th>
									<th></th>
								</tr>
							</thead>
							
							<tbody>
								<c:set var="total_registros" value="0" scope="request" />
								<c:set var="total_monto_pago" value="0" scope="request" />
							
								<c:forEach items="${lista}" var="co"  varStatus="i" >
								<tr>							
									<td>
										${co.seqMes}
									</td>
									<td>
										${co.tipoDocumento} ${co.nroDocumento}
									</td>
									<td>
										${co.denominacionCliente}
									</td>
									<td>
										${co.fechaComprobante}
									</td>
									<td>
										${co.numeroComprobante}
									</td>
									<td>
										${co.denominacionFormaPago}
									</td>
									<td>
										<c:if test="${(co.denominacionFormaPago eq 'TARJETA') }">
											${co.denominacionTipoTarjeta} - ${co.numeroTarjeta}
										</c:if>	
									</td>
									<td>
										${co.fechaHoraPago}
									</td>
									
									<td align="right">
										${co.formatMontoPago}
									</td>
									<td>
										${co.usuario}
									</td>
									
									<td>
										<input type="hidden" id="hIdPago${i.index}" value="<c:out value="${co.idPago}"/>">
										<input type="hidden" id="hIdComprobante${i.index}" value="<c:out value="${co.idComprobante}"/>">
										
										<input type="hidden" id="hDocumentoCliente${i.index}" value="<c:out value="${co.tipoDocumento} ${co.nroDocumento}"/>">
										<input type="hidden" id="hNombreCliente${i.index}" value="<c:out value="${co.denominacionCliente}"/>">
										<input type="hidden" id="hMontoPago${i.index}" value="<c:out value="${co.formatMontoPago}"/>">
										
										<c:if test="${(p_usuario.perfilId eq 2) }">
											<a href="#" onclick="editItem(${i.index})" data-toggle="modal" data-target="#myModalPago"> 
												<i class="entypo-pencil">
												</i>
											</a>
										</c:if>
									</td>
									
									<c:set var="total_registros" value="${total_registros + 1}" scope="request"/>
									<c:set var="total_monto_pago" value="${total_monto_pago + co.montoPago}" scope="request"/>
								</tr>
								</c:forEach>
							<tbody>
							
							<tfoot>
								<tr>
									<td></td>
									<td align="right" >Total:</td>
									<td align="right">
										${total_registros}
									</td>
									<td></td>
									<td></td>
									<td></td>
									<td></td>
									<td></td>
									<td align="right">
										<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_monto_pago}"/>
									</td>
									<td></td>
									<td></td>
								</tr>
							</tfoot>
						</table>
			
			
						
	<script>
	
	$(document).ready(function() {
		$('#example').DataTable( {
			"scrollCollapse": true,
	        "jQueryUI":       true,
	        "bFilter": true,
	        "pageLength": 100,
	        buttons: [],
	        dom : 'Bfrtip',
	        buttons : [ {extend:'excel',footer: false,title:'Reporte de pagos'}],
			autoWidth: false, //step 1
			"columnDefs": [
							{ "width": "2px", "targets": 0}
			             ]
	    		});
		});

		function editItem(index){
			var hIdPago=document.getElementById('hIdPago'+index+'');
			var hIdComprobante=document.getElementById('hIdComprobante'+index+'');

			var hDocumentoCliente=document.getElementById('hDocumentoCliente'+index+'');
			var hNombreCliente=document.getElementById('hNombreCliente'+index+'');
			var hMontoPago=document.getElementById('hMontoPago'+index+'');
			
			$("#hIdPago").val(hIdPago.value);
			$("#hIdComprobante").val(hIdComprobante.value);
			
			$("#txtDocumentoCliente").val(hDocumentoCliente.value+'-'+hNombreCliente.value);
			$("#txtMontoPago").val(hMontoPago.value);
		}
		
	</script>
	
	<STYLE TYPE="text/css">
	<!--
	TD{font-family: Arial; font-size: 8pt;}
	TH{font-family: Arial; font-size: 8pt;}
	--->
	</STYLE>

</body>
</html>