<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

	<link id="contextPathHolder" data-contextPath="${pageContext.request.contextPath}"/>
	<title>DELFINES HOTEL & CONVENTION CENTER</title>

	<!-- jquery 1.12 :ini -->
	<script type="text/javascript" src="https://code.jquery.com/jquery-1.12.4.js"></script>
	<!-- jquery 1.12 :end -->
	
	<!-- datatable 1.10 :ini -->
	<script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>
	<!---->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css"></link>
	<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.5.1/css/buttons.dataTables.min.css"></link>
	<!-- datatable 1.10 :end -->

	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/entypo/css/entypo.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/bootstrap.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-core.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-theme.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/neon-forms.css"/>">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/custom.css"/>">
	
	<!--[if lt IE 9]><script src="assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
	
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
	<![endif]-->

	<!-- datepicker :ini -->
	<link rel="stylesheet" type="text/css" media="all" href="<c:url value="/resources/assets/js/daterangepicker/daterangepicker-bs3.css"/>" />
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/moment.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/daterangepicker/daterangepicker.js"/>"></script>
	<script type="text/javascript" src="<c:url value="/resources/assets/js/bootstrap-datepicker.js"/>"></script>
	<!-- datepicker :end -->
	
	<!-- Logica de presentacion : ini-->
	<script type="text/javascript" src="<c:url value="/resources/js/fn_reporte_pagos.js?2" />"></script>
	<!-- Logica de presentacion : fin-->
</head>
<body class="page-body">
    <div class="container-fluid">
			<div class="col-md-6 col-sm-4 clearfix">	
				<ul class="user-info pull-left pull-none-xsm">
		
					<li class="profile-info dropdown">
						<div class="logo">
							<a href="index.html">
							
								<img src="./resources/assets/images/logo_delfin.png" height="87" alt="" />
								
							</a>
						</div>
					</li>
				</ul>									
			</div>
			<div class="col-md-6 col-sm-8 clearfix hidden-xs">
		
				<ul class="list-inline links-list pull-right">
					<li>
						<p>Bienvenido: <strong>[${p_usuario.username}/${p_usuario.perfil} - ${p_usuario.denominacionArea}]</strong></p>
						<li>
							<a href="${pageContext.request.contextPath}/">Salir <i class="entypo-logout right"></i></a>
						</li>
						<br>
					</li>
					<li></li>
					<li>
					</li>
				</ul>
		
			</div>   
			<div class="col-md-6 msg-alert-login-error" style="display:none;">
				<div class="alert alert-danger"></div>
			</div>
    </div>
    <!-- /.container-fluid -->

<!-- collapsed -->
<div class="page-container sidebar-collapsed" style="border-top: 1px solid #ccc">
	
	<div class="sidebar-menu">

		<div class="sidebar-menu-inner">
			
			<header class="logo-env">
				<div class="sidebar-collapse">
					<a href="#" class="sidebar-collapse-icon"><!-- add class "with-animation" if you want sidebar to have animation during expanding/collapsing transition -->
						<i class="entypo-menu"></i>
					</a>
				</div>

								
				<!-- open/close menu icon (do not remove if you want to enable menu on mobile devices) -->
				<div class="sidebar-mobile-menu visible-xs">
					<a href="#" class="with-animation"><!-- add class "with-animation" to support animation -->
						<i class="entypo-menu"></i>
					</a>
				</div>

			</header>
			
									
			<ul id="main-menu" class="main-menu">
				<li class="has-sub">
					<a href="https://demo.neontheme.com/dashboard/main/">
						<i class="entypo-gauge"></i>
						<span class="title">Servicio</span>
					</a>
					<ul>
						<li>
							<a href="<c:url value="/registro-guia"/>">
								<i class="entypo-docs"></i>
								<span class="title">Guia de Recepcion</span>
							</a>
						</li>
						<li>
							<a href="<c:url value="/lista-guia"/>">
								<i class="entypo-docs"></i>
								<span class="title">Lista - Guia de Recepcion</span>
							</a>
						</li>
					</ul>
				</li>
				
				<li class="has-sub">
					<a href="https://demo.neontheme.com/dashboard/main/">
						<i class="entypo-print"></i>
						<span class="title">Reportes</span>
					</a>
					<ul>
						<li>
							<a href="<c:url value="/reporte-pagos"/>">
								<i class="entypo-doc-text"></i>
								<span class="title">Reporte de Pagos</span>
							</a>
						</li>
						<li>
							<a href="<c:url value="/reporte-estado-ordenes"/>">
								<i class="entypo-doc-text"></i>
								<span class="title">Reporte de Estado (Ordenes)</span>
							</a>
						</li>
						<li>
							<a href="<c:url value="/reporte-detalle-ordenes"/>">
								<i class="entypo-doc-text"></i>
								<span class="title">Detalle de Ordenes (Produccion)</span>
							</a>
						</li>
					</ul>
				</li>
				
				<li class="has-sub">
					<a href="https://demo.neontheme.com/dashboard/main/">
						<i class="entypo-layout"></i>
						<span class="title">Mantenimiento</span>
					</a>
					<ul>
						<li>
							<a href="<c:url value="/mante-cliente"/>">
								<i class="entypo-tools"></i>
								<span class="title">Mantenimiento Cliente</span>
							</a>
						</li>
						
						<li>
							<a href="<c:url value="/mante-lista-precios"/>">
								<i class="entypo-tools"></i>
								<span class="title">Mantenimiento Lista de Precios</span>
							</a>
						</li>
						
					</ul>
				</li>
				
				<li class="has-sub">
					<a href="https://demo.neontheme.com/dashboard/main/">
						<i class="entypo-cog"></i>
						<span class="title">Procesos masivos</span>
					</a>
					<ul>
						<li>
							<a href="<c:url value="/proceso-dbf-concar"/>">
								<i class="entypo-download"></i>
								<span class="title">Exportar DBF a CONCAR</span>
							</a>
						</li>
						<li>
							<a href="<c:url value="/mante-tipo-cambio"/>">
								<i class="entypo-cc-share"></i>
								<span class="title">Tipo de Cambio</span>
							</a>
						</li>
					</ul>
				</li>
				
			</ul>
			
		</div>

	</div>

	<div class="main-content">
				
		<div class="row">
			<form id="frmConsultaReferencia">
				<div class="col-md-12">
				 	<div class="panel panel-default">
				  
					  <div id="panelHead" class="panel-heading">
					  	<div class="row">
					  		<div class="col-md-12">
					  			<div class="form-group">
							    	<label class="control-label control-label-left col-sm-12" ><h4>Reporte de pagos</h4></label>
							    </div>
							</div>
						</div>
					  </div>
					  
					  
					  <div class="panel-body">
					  		
						<div class="row">
				            	<div class="col-md-6">
				                	<div class="form-group">
								    	<label class="control-label control-label-left col-sm-3" >Fecha Inicio</label>
										<div class="controls col-sm-9">
											<!-- 
						                	<input id="txtFechaRegistroIni" type="text" class="form-control k-textbox" data-role="text" ><span id="errId2" class="error"></span>
						                	 -->
						                	 <div class="input-group">
							                	 <input type="text" id="txtFechaGuiaIni" required="required" class="form-control datepicker" value="${fechaHoy}" data-format="mm/dd/yyyy">
												<div class="input-group-addon">
													<a href="#"><i class="entypo-calendar"></i></a>
												</div>
											</div>	
						            	</div>
									</div>
								</div>
						
								<div class="col-md-6">
									<div class="form-group">
									    <label class="control-label control-label-left col-sm-3" >Fecha Fin</label>
										<div class="controls col-sm-9">
											<!-- 
						                	<input id="txtFechaRegistroFin" type="text" class="form-control k-textbox" data-role="text" ><span id="errId2" class="error"></span>
						                	-->
						                	<div class="input-group">
							                	<input type="text" id="txtFechaGuiaFin" required="required" class="form-control datepicker" data-format="mm/dd/yyyy">
												<div class="input-group-addon">
													<a href="#"><i class="entypo-calendar"></i></a>
												</div>
											</div>	
						            	</div>
									</div>
								</div>
						</div>
						
						<div class="row">
				            	<div class="col-md-6">
				                	<div class="form-group">
								    	<label class="control-label control-label-left col-sm-3" >Forma de pago:</label>
										<div class="controls col-sm-9">
											
											<select id="selIdFormaPago" class="form-control" data-role="select" >
											    <option selected="selected" value="0" >-- TODOS --</option>
											    <option value="1" >EFECTIVO</option>
											    <option value="2" >TARJETA</option>
											    <option value="3" >POR COBRAR</option>
											    <option value="4" >EMPLEADO</option>
											    <option value="5" >OBRERO</option>
											    <option value="6" >OTROS</option>
											</select>
											
						            	</div>
									</div>
								</div>
						
								<div class="col-md-6">
									<div class="form-group">
									    
									</div>
								</div>
						</div>
						
						<div class="row">
				            	<div class="col-md-12">
				            	
				                	<div class="form-group">
								    	<button id="cmdBuscar" type="button" class="btn btn-success" name="Buscar">Buscar</button>
								    	<button id="cmdImprimir" type="button" class="btn btn-info" name="Buscar">Imprimir</button>
									</div>
									
								</div>
						</div>
						<div class="row">
				            	<div class="col-md-12">
											<div id="subViewDiv">
								</div>
						</div>		
					</div>
				</div>
				</div>	
			</form>		
		</div>
				
		
	</div>			
	
</div>


	<!-- Modal -->
	<div id="myModalPago" class="modal fade" role="dialog">
	  <div class="modal-dialog">
	    <!-- Modal content-->
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title">Forma de pago</h4>
	      </div>
	      
	      <div class="modal-body">
	      		<form id="frmRegistroValidacion" >
	      		
	      			<div class="row">
	      			
		            	<div class="col-md-6">
		                	<div class="form-group">
						    	<input id="txtDocumentoCliente" disabled="disabled" type="text" class="form-control k-textbox" data-role="text" style="text-transform: uppercase" >
							</div>
						</div>
						<div class="col-md-6">
							<div class="form-group">
								<input id="txtMontoPago" disabled="disabled" type="text" class="form-control k-textbox" data-role="text" style="text-transform: uppercase" >
							</div>
						</div>
						
					</div>
					
					<div class="row">
		            	<div class="col-md-6">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3" for="field24">Forma:</label>
								<div class="controls col-sm-9">
									<select required="required" onchange="mostrarTarjeta()" id="selIdFormaPagoM" class="form-control" data-role="select" >
									    <option selected="selected" value="1" >EFECTIVO</option>
									    <option value="2" >TARJETA</option>
									    <option value="3" >POR COBRAR</option>
									    <option value="4" >EMPLEADO</option>
									    <option value="5" >OBRERO</option>
									    <option value="6" >OTROS</option>
									</select>
				            	</div>
							</div>
						</div>
				
						<div class="col-md-6">
							<div class="form-group">
								
							</div>
						</div>
					</div>
					
					<!-- Efectivo -->
					<div class="row">
		            	<div class="col-md-6">
		                	<div class="form-group">
						    	<label class="control-label control-label-left col-sm-3" for="field24">Moneda:</label>
								<div class="controls col-sm-9">
									<select id="selIdTipoMoneda" required="required" class="form-control" data-role="select" >
									    <option selected="selected" value="1">Soles</option>
									    <option value="2">Dolares</option>
									</select>
				            	</div>
							</div>
						</div>
						<div class="col-md-6">
							<div class="form-group">
								
							</div>
						</div>
					</div>
					
					<!-- Tarjeta -->
					<div id="dtarjeta">	
						<div class="row">
			            	<div class="col-md-6">
			                	<div class="form-group">
							    	<label class="control-label control-label-left col-sm-3" for="field24">Tipo:</label>
									<div class="controls col-sm-9">
										<select required="required" id="selIdTipoTarjeta" class="form-control" data-role="select" >
										    <option selected="selected" value="1">VISA</option>
										    <option value="2">DINERS</option>
										    <option value="3">MASTER CARD</option>
										    <option value="4">AMERICAN EXPRESS</option>
										</select>
					            	</div>
								</div>
							</div>
					
							<div class="col-md-6">
								<div class="form-group">
									<label class="control-label control-label-left col-sm-3" for="field24">Numero:</label>
									<div class="controls col-sm-9">
										<input id="txtNumeroTarjeta" required="required" type="text" size="50" maxlength="50" class="form-control k-textbox" data-role="text" style="text-transform: uppercase" >
					            	</div>
								</div>
							</div>
						</div>
					</div>
					
				</form>
	      </div>
	      
	      <div class="modal-footer">
	      	
	      	<input type="hidden" id="hIdPago">
	      	<input type="hidden" id="hIdComprobante">
	        
	      	<button type="button" id="cmdGuardarPago" class="btn btn-success" data-dismiss="modal">Guardar</button>
	        <button type="button" id="cmdClosePago" class="btn btn-default" data-dismiss="modal">Close</button>
	        
	      </div>
	    </div>
	  </div>
	</div>
	<!-- Modal : Fin -->
	
	
	<!-- Modal : Fin -->
	<!-- Imported styles on this page -->
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.css" />">
	<link rel="stylesheet" href="<c:url value="/resources/assets/css/font-icons/font-awesome/css/font-awesome.min.css" />">

	<!-- Bottom scripts (common) -->
	<script src="<c:url value="/resources/assets/js/gsap/TweenMax.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/bootstrap.js" />"></script>
	<script src="<c:url value="/resources/assets/js/joinable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/resizeable.js" />"></script>
	<script src="<c:url value="/resources/assets/js/neon-api.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-1.2.2.min.js" />"></script>

	<!-- Imported scripts on this page -->
	<script src="<c:url value="/resources/assets/js/jvectormap/jquery-jvectormap-europe-merc-en.js" />"></script>
	<script src="<c:url value="/resources/assets/js/jquery.sparkline.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/vendor/d3.v3.js" />"></script>
	<script src="<c:url value="/resources/assets/js/rickshaw/rickshaw.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/raphael-min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/morris.min.js" />"></script>
	<script src="<c:url value="/resources/assets/js/toastr.js" />"></script>

	<!-- JavaScripts initializations and stuff -->
	<script src="<c:url value="/resources/assets/js/neon-custom.js" />"></script>
	<!-- Demo Settings -->
	<script src="<c:url value="/resources/assets/js/neon-demo.js" />"></script>
	
	
	<!-- datatable 1.10 :ini -->
	<script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script>
	<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script>
	<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>
	<!---->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css"></link>
	<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.5.1/css/buttons.dataTables.min.css"></link>
	<!-- datatable 1.10 :end -->
	
	<script>
    $('.datepicker').datepicker();
    $('.datepicker').datepicker({
        dateFormat: 'dd/mm/yyyy',
        format: 'dd/mm/yyyy'
     });
    
    document.getElementById("dtarjeta").style.display = "none";
    
    function mostrarTarjeta(){
		var div=$("#selIdFormaPagoM");
		var dtarjeta = document.getElementById("dtarjeta");
		
		if(div.val()==2){
			dtarjeta.style.display = "block";
		}
		if(div.val()!=2){
			dtarjeta.style.display = "none";
		}
	}

    $(document).ready(function() {
        $("#txtNroRegistroIni").keydown(function (e) {
            // Allow: backspace, delete, tab, escape, enter and .
            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
                 // Allow: Ctrl/cmd+A
                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: Ctrl/cmd+C
                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: Ctrl/cmd+X
                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: home, end, left, right
                (e.keyCode >= 35 && e.keyCode <= 39)) {
                     // let it happen, don't do anything
                     return;
            }
            // Ensure that it is a number and stop the keypress
            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
                e.preventDefault();
            }
        });
    });

    $(document).ready(function() {
        $("#txtNroRegistroFin").keydown(function (e) {
            // Allow: backspace, delete, tab, escape, enter and .
            if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 110, 190]) !== -1 ||
                 // Allow: Ctrl/cmd+A
                (e.keyCode == 65 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: Ctrl/cmd+C
                (e.keyCode == 67 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: Ctrl/cmd+X
                (e.keyCode == 88 && (e.ctrlKey === true || e.metaKey === true)) ||
                 // Allow: home, end, left, right
                (e.keyCode >= 35 && e.keyCode <= 39)) {
                     // let it happen, don't do anything
                     return;
            }
            // Ensure that it is a number and stop the keypress
            if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
                e.preventDefault();
            }
        });
    });

    </script>


</body>
</html>