$(document).ready(function() {

	$('#myModalPago').on('show.bs.modal', function () {
		$("#selIdFormaPago").focus();
		$("#selIdFormaPago").select();
	});
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');

	init();
	
	function init(){
		//$("#txtDescripcion").focus();
		$("#selIdTipoComprobante").focus();
		
		var idPago=$("#hIdPago").val();
		if(idPago>0){
			$('#cmdPagar').prop("disabled", true);
			$("#cmdPagar span").text("Pagar [A]");
			$('#txtEstadoFactura').val("PAGADO");
		}
	}
	
	$( "#txtMontoPago").keypress(function( event ) {
		  if ( event.which == 13 ) {
			 save();
			 $('#myModalPago').modal('toggle');
		  }
	});
	
	$('#myModalPago').on('shown.bs.modal', function () {
		$("#selIdFormaPago").focus();
		$("#selIdFormaPago").select();
	})
	
	$("#cmdCompletar").click(function(){
		var selIdTipoComprobante=$("#selIdTipoComprobante").val();
  		var txtDescripcion=$("#txtDescripcion").val();
  		txtDescripcion=normalize(txtDescripcion);
  		var hIdComprobante=$("#hIdComprobante").val();
  		
  		$('#cmdCompletar').prop("disabled", true);
  		
		$.ajax({
			url : baseURL + "/complete-factura",
			data : {
				idTipoComprobante:selIdTipoComprobante,
				descripcion:txtDescripcion,
				idComprobante:hIdComprobante
			},
			async:false,
			type : "get",
			success : function(numeroComprobante) {
				if(!isEmpty(numeroComprobante)){
					$('#cmdCompletar').prop("disabled", true);
					$("#cmdCompletar span").text("Guardar [G]");
					
					$("#txtNumeroComprobante").val(numeroComprobante);
					$("#selIdTipoComprobante").prop("disabled", true);
					$("#txtDescripcion").prop("disabled", true);
					
					$("#hEstado").val(2);//ESTADO_GUIDE_COMPLETO = "2";{}	
				}
			}
		});
	});
	
	$("#cmdImprimir").click(function(){
		var hIdComprobante=$("#hIdComprobante").val();
		

		var estado=$("#hEstado").val();
		if(estado=='2'){//ESTADO_GUIDE_COMPLETO = "2";{}
	  		$.ajax({
				url : baseURL + "/print-factura",
				data : {
					idComprobante:hIdComprobante
				},
				async:false,
				type : "get",
				success : function(response) {
					var selIdTipoComprobante=$("#selIdTipoComprobante").val();	
					if(selIdTipoComprobante=='1'){
						window.open(baseURL+"/impresion-factura", "_blank", "toolbar=1, scrollbars=1, resizable=1, width=" + 1015 + ", height=" + 800);
					}else{
						window.open(baseURL+"/impresion-boleta", "_blank", "toolbar=1, scrollbars=1, resizable=1, width=" + 1015 + ", height=" + 800);
					}
				}
			});
		}else{
			alert('Se requiere Guardar los datos presione ALT + G ');
		}
	});
		
	$("#cmdGuardarPago").click(function(){
		save();
    });
	
	function save(){
		//--
		var selIdTipoComprobante=$("#selIdTipoComprobante").val();
		//--
		var selIdFormaPago=$("#selIdFormaPago").val();
		var intIdFormaPago=parseInt(selIdFormaPago);
		
		if(intIdFormaPago==1){//Efectivo
			var selIdTipoTarjeta=0;
			var txtNumeroTarjeta="";
		}else if (intIdFormaPago==2){//Tarjeta
			var selIdTipoTarjeta=$("#selIdTipoTarjeta").val();
			var txtNumeroTarjeta=$("#txtNumeroTarjeta").val();	
		}
		
		var selIdTipoMoneda=$("#selIdTipoMoneda").val();
		var txtMontoPago=$("#txtMontoPago").val();
		
		var hIdComprobante=$("#hIdComprobante").val();
		var hTotalNetoComprobante=$("#hTotalNetoComprobante").val();
		
		var totalNetoComprobante=parseFloat(hTotalNetoComprobante);
		var montoPago=parseFloat(txtMontoPago);
		
		//--Total comprobante
		var hTotalNetoComprobante=$("#hTotalNetoComprobante").val();
		var totalNetoComprobante=parseFloat(hTotalNetoComprobante);
		//--Total comprobante
		
		var estado=$("#hEstado").val();
		if(estado=='2'){//ESTADO_INVOICE_COMPLETO = "2";
			if(montoPago<=totalNetoComprobante){
				$.ajax({
					url : baseURL + "/registra-pago",
					data : {
						idFormaPago:intIdFormaPago,
						idTipoMoneda:selIdTipoMoneda,
						montoPago:txtMontoPago,
						idTipoTarjeta:selIdTipoTarjeta,
						numeroTarjeta:txtNumeroTarjeta,
						idComprobante:hIdComprobante,
						idTipoComprobante:selIdTipoComprobante,
						totalNetoComprobante:hTotalNetoComprobante
					},
					async:false,
					type : "get",
					success : function(result) {
						$('#cmdPagar').prop("disabled", true);
						$("#cmdPagar span").text("Pagar [A]");
						$('#txtEstadoFactura').val("PAGADO");
					}
					
				});
			}else{
				alert("El pago es menor al total de la guia, porfavor verifica!");
			}
		}else{
			alert("Se requiere Guardar los datos presione ALT + G");
		}
	}
	
	function isEmpty(str){
        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
    }
	
});


var normalize = (function() {
	  var from = "ÃÀÁÄÂÈÉËÊÌÍÏÎÒÓÖÔÙÚÜÛãàáäâèéëêìíïîòóöôùúüûÑñÇç", 
	      to   = "AAAAAEEEEIIIIOOOOUUUUaaaaaeeeeiiiioooouuuuNncc",
	      mapping = {};
	 
	  for(var i = 0, j = from.length; i < j; i++ )
	      mapping[ from.charAt( i ) ] = to.charAt( i );
	 
	  return function( str ) {
	      var ret = [];
	      for( var i = 0, j = str.length; i < j; i++ ) {
	          var c = str.charAt( i );
	          if( mapping.hasOwnProperty( str.charAt( i ) ) )
	              ret.push( mapping[ c ] );
	          else
	              ret.push( c );
	      }      
	      return ret.join( '' );
	  }
	 
	})();
