$(document).ready(function() {
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
    
	$("#cmdBuscar").click(function(){
		
		var txtFechaGuiaIni=$("#txtFechaGuiaIni").val();
		var txtFechaGuiaFin=$("#txtFechaGuiaFin").val();

		var selIdListaPrecio=$("#selIdListaPrecio").val();
		var selEstadoEntrega=$("#selEstadoEntrega").val();
		
		var selIdClasificacion=$("#selIdClasificacion").val();
		
		if((!isEmpty(txtFechaGuiaIni)) && isEmpty(txtFechaGuiaFin)){
			txtFechaGuiaFin=txtFechaGuiaIni;
		}
		
		//--
		$.ajax({
			url : baseURL + "/consulta-reporte-detalle-ordenes",
			data : {
				fechaGuiaIni: txtFechaGuiaIni,
				fechaGuiaFin:txtFechaGuiaFin,
				idListaPrecio:selIdListaPrecio,
				estadoEntrega:selEstadoEntrega,
				idClasificacion:selIdClasificacion
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
		
    });
	
	$("#cmdImprimir").click(function(){
		window.open(baseURL+"/impresion-reporte-consolidado", "_blank", "toolbar=1, scrollbars=1, resizable=1, width=" + 1015 + ", height=" + 800);
    });
	
	function isEmpty(str){
        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
    }
	
});
