package com.delfines.spring.controller;

import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

import com.delfines.business.UsuarioBo;
import com.delfines.vo.Usuario;

/**
 * @author imssbora
 */
@Controller
public class UsuarioController {
   
   private UsuarioBo usuarioBo=new UsuarioBo(); 

   @RequestMapping(path={"/login-usuario"},method=RequestMethod.GET)
   public ModelAndView loginUsuario(String username,String passwd,Model model,HttpServletRequest request)throws Exception {
	   Usuario usuario=usuarioBo.loginUsuario(username,passwd);

	   ModelAndView mav = new ModelAndView();
	
	   if(usuario!=null&&usuario.getUsuarioId()>0){
		   request.getSession().setAttribute("p_usuario",usuario);
		   mav.setViewName("registro-guia");
		   mav.addObject("done", "1");
	   }else{
		   throw new Exception("Usuario no registrado o Password incorrecto");
	   }
       return mav;
   }

}
