package com.delfines.business;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import com.delfines.dao.ConnectionFactoryOpera;
import com.delfines.dao.ConnectionFactoryCostos;
import com.delfines.dao.ConnectionFactoryMicros;

public class MicrosBo {
	
	public String getInsertSqlCheck(String date){
		StringBuffer sql=new StringBuffer();  
		PreparedStatement ps=null;
		ResultSet rs=null;
		
        try {
        	Connection conn = ConnectionFactoryMicros.getInstance().getConnection();
            
            StringBuilder query = new StringBuilder();
            query.append(" select T.CHECKID,t.cf_cnumser,t.cf_cnumdoc,t.cf_dfecdoc,t.cf_dfecven,t.cf_ccodcli,t.cf_cnombre,t.cf_ccodmon,t.cf_ntipcam,t.cf_nprecio,t.cf_nigv,t.others,t.cf_nimport,t.descuento from ( ");
            query.append(" select to_char(c.checknumber) as cf_cnumser, "); 
            query.append(" 'CARGO HAB' as cf_cnumdoc,  ");
            query.append(" to_char(c.checkopen,'DD/MM/RRRR') as cf_dfecdoc,   ");
            query.append(" to_char(c.checkclose,'DD/MM/RRRR') as cf_dfecven,  ");
            query.append(" 'HAB '||to_char(t.OBJECTNUMBER) as cf_ccodcli,  ");
            query.append(" 'CHK '||to_char(c.checknumber) as cf_cnombre, "); 
            query.append(" 'MN' as cf_ccodmon,  ");
            query.append(" 2.776 as cf_ntipcam,   ");
            query.append(" round(c.subtotal,2) as cf_nprecio, "); 
            query.append(" round(c.tax,2) as cf_nigv,   ");
            query.append(" (round(c.other,2)+round(c.autogratuity,2)) as others, ");  
            query.append(" round(c.payment,2) as cf_nimport ");
            query.append(" ,NVL((SELECT SUM(AMOUNT1) FROM MICROSDB.TOTALS WHERE FLAGS=6 AND CHECKID=c.checkid),0) descuento ");
            query.append(" ,c.CHECKID ");
            query.append(" from microsdb.checks c   ");
            query.append(" INNER JOIN MICROSDB.DINING_TABLE t on (c.diningtableid=t.diningtableid) ");
            query.append(" where c.checkopen >= TO_DATE('").append(date).append("'||'00:00:00', 'DD/MM/RRRR HH24:MI:SS')  ");
            query.append(" AND c.checkopen <= TO_DATE('").append(date).append("'||'23:59:59', 'DD/MM/RRRR HH24:MI:SS') "); 
            query.append(" AND c.revctrid!=4 ");
            query.append(" ) t WHERE t.descuento<>0 order by t.CHECKID ASC ");
            
            ps = conn.prepareStatement(query.toString());
                       
            rs = ps.executeQuery();
            
            while(rs.next()){
            	sql.append("(");
            	sql.append("'").append(rs.getString("CHECKID")).append("',");
            	sql.append("'").append(rs.getString("cf_cnumser")).append("',");
            	sql.append("'").append(rs.getString("cf_cnumdoc")).append("',");
            	sql.append("'").append(rs.getString("cf_dfecdoc")).append("',");
            	sql.append("'").append(rs.getString("cf_dfecven")).append("',");
            	sql.append("'").append(rs.getString("cf_ccodcli")).append("',");
            	sql.append("'").append(rs.getString("cf_cnombre")).append("',");
            	sql.append("'").append(rs.getString("cf_ccodmon")).append("',");
            	sql.append(rs.getString("cf_ntipcam")).append(",");
            	sql.append(rs.getString("cf_nprecio")).append(",");
            	sql.append(rs.getString("cf_nigv")).append(",");
            	sql.append(rs.getString("others")).append(",");
            	sql.append(rs.getString("cf_nimport")).append(",");
            	sql.append(rs.getString("descuento"));
            	sql.append("),");
            }
        } catch (SQLException e) {
            throw new RuntimeException(e);
        } finally {
        	if (ps != null) {try {ps.close();} catch (SQLException e) {e.printStackTrace();}}
            if (rs != null) {try {rs.close();} catch (SQLException e) {e.printStackTrace();}}
        }
        
        if(sql.toString().trim().length()>0)
        	return sql.toString().substring(0, sql.toString().length()-1);
        else
        	return null;
	}
	
	
	
	
	
}