package com.delfines.sendmail;

import java.util.Properties;

import javax.activation.DataHandler;
import javax.activation.DataSource;
import javax.mail.BodyPart;
import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeBodyPart;
import javax.mail.internet.MimeMessage;
import javax.mail.internet.MimeMultipart;

public class SendEmail {

	public static void sendEmailLead(String toList,String ccList,String subject,String text,DataSource aAttachment,String fileName) 
    {
        /***** CHANGE THESE FOUR VARIABLE VALUES TO REFLECT YOUR ENVIRONMENT ******/
        String user = "alert@losdelfineshotel.com.pe";   
        String password = "H0t3l123-.,"; 

        String fromAddress = "alert@losdelfineshotel.com.pe"; 
                
        // Create a mail session
        Properties properties = new Properties();
        properties.put("mail.transport.protocol", "smtp");
        properties.put("mail.smtp.host", "10.0.0.253");
        properties.put("mail.smtp.port", "25");
        properties.put("mail.smtp.username", user);
        properties.put("mail.smtp.password", password);
        Session session = Session.getDefaultInstance(properties, null);

        try 
        {
        	InternetAddress[] myToList = InternetAddress.parse(toList);
        	InternetAddress[] myCcList = InternetAddress.parse(ccList);
        
        	MimeMultipart mimeMultipart = new MimeMultipart();
        	//Send attach mail
        	if(aAttachment!=null){
            	MimeBodyPart attachmentBodyPart = new MimeBodyPart();
            	attachmentBodyPart.setDataHandler(new DataHandler(aAttachment));
            	attachmentBodyPart.setFileName(fileName);
                mimeMultipart.addBodyPart(attachmentBodyPart);	
        	}
        	//Send attach mail
            
            //Create the message part
            BodyPart messageBodyPart = new MimeBodyPart();
            messageBodyPart.setText(text);
           	mimeMultipart.addBodyPart(messageBodyPart);
            //Create the message part
            
        	Message message = new MimeMessage(session);
            message.setFrom(new InternetAddress(fromAddress,"Hotel Los Delfines - Costos"));
        	message.setRecipients(Message.RecipientType.TO, myToList);
            message.addRecipients(Message.RecipientType.CC, myCcList);
            message.setSubject(subject);
            //message.setText(text);
            //send attach
            message.setContent(mimeMultipart);
            //send attach
            Transport.send(message);
        }catch (MessagingException e) 
        {
            e.printStackTrace();
        }catch (Exception e) 
        {
            e.printStackTrace();
        }
    }
	
}
