package read;

import com.delfines.business.CostosBo;
import com.delfines.business.MaterialBo;
import com.delfines.business.MicrosBo;
import com.delfines.business.OperaBo;

public class ReadFinJrnlArticles {

	
	public  void insertSparte() {
		MaterialBo material = new MaterialBo();
		String insertSql = material.getInsertSqlSParte();

		CostosBo costos = new CostosBo();
		costos.deleteSparte();
		costos.insertarSparte(insertSql);
	}

	public  void insertSparteGR() {
		MaterialBo material = new MaterialBo();
		String insertSql = material.getInsertSqlSParteGR();

		CostosBo costos = new CostosBo();
		costos.deleteSparteGr();
		costos.insertarSparteGr(insertSql);
	}

	public  void insertProdukt() {
		CostosBo costos = new CostosBo();
		costos.deleteProdukt();
		
		MaterialBo material = new MaterialBo();
		material.getInsertSqlProdukt();
	}

	// Guias
	public  void insertFinJrnlArticles(String fecha) {
		OperaBo opera = new OperaBo();
		String insertSql = opera.getInsertSqlFinJrnlArticles(fecha);
		if(insertSql!=null&&insertSql.trim().length()>0){
			CostosBo costos = new CostosBo();
			costos.deleteFinJrnlArticles(fecha);
			costos.insertarFinJrnlArticles(insertSql);
		}
	}

	public  void insertGuiasTransferenciaCosto(String fecha) {
		MaterialBo material = new MaterialBo();
		String insertSql = material.getInsertSqlGuiasTransferenciaCosto(fecha);
		if(insertSql!=null&&insertSql.trim().length()>0){
			CostosBo costos = new CostosBo();
			costos.deleteGuiasTransferenciaCosto(fecha);
			costos.insertarGuiasTransferenciaCosto(insertSql);	
		}
	}

	public  void insertGuiasTransferenciaGasto(String fecha) {
		MaterialBo material = new MaterialBo();
		String insertSql = material.getInsertSqlGuiasTransferenciaGasto(fecha);
		if(insertSql!=null&&insertSql.trim().length()>0){
			CostosBo costos = new CostosBo();
			costos.deleteGuiasTransferenciaGasto(fecha);
			costos.insertarGuiasTransferenciaGasto(insertSql);	
		}
	}

	public  void insertGuiasMermaGasto(String fecha) {
		MaterialBo material = new MaterialBo();
		String insertSql = material.getInsertSqlGuiasMermaGasto(fecha);
		if(insertSql!=null&&insertSql.trim().length()>0){
			CostosBo costos = new CostosBo();
			costos.deleteGuiasMermaGasto(fecha);
			costos.insertarGuiasMermaGasto(insertSql);	
		}
	}
	
	public  void insertGuiasTransferencia(String fecha) {
		MaterialBo material = new MaterialBo();
		String insertSql = material.getInsertSqlGuiasTransferencia(fecha);
		if(insertSql!=null&&insertSql.trim().length()>0){
			CostosBo costos = new CostosBo();
			costos.deleteGuiasTransferencia(fecha);
			costos.insertarGuiasTransferencia(insertSql);	
		}
	}

	
	// Check desde MICROS
		public  void insertChecksMicros(String fecha) {
			MicrosBo opera = new MicrosBo();
			String insertSql = opera.getInsertSqlCheck(fecha);
			if(insertSql!=null&&insertSql.trim().length()>0){
				CostosBo costos = new CostosBo();
				costos.deleteCheckMicros(fecha);
				costos.insertarCheckMicros(insertSql);
			}
		}
		
}