<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<body>
	
	<table id="example" cellspacing="0" cellpadding="0" class="table table-striped table-bordered" style="width:100%" >
		<thead>
			
			<tr>
				<th>Guia</th>
				<th>Documento</th>
				<th>Denominacion Cliente</th>
				<th>Fecha Guia</th>
				<th>Entrega</th>
				
				<th>Total general</th>
				<th>Total descuento</th>
				<th>Total recargo</th>
				<th>Total Neto</th>
				
				<th>Usuario</th>
				<th></th>
			</tr>
		</thead>
		<tbody>
			<c:set var="total_cantidad" value="0" scope="request" />
			<c:set var="total_general" value="0" scope="request" />
			<c:set var="total_descuento" value="0" scope="request" />
			<c:set var="total_recargo" value="0" scope="request" />
			<c:set var="total_neto" value="0" scope="request" />
		
			<c:forEach items="${lista}" var="co"  varStatus="item" >
			<tr>							
				<td>
					${co.nroGuia}
				</td>
				<td>
					${co.tipoDocumento} ${co.nroDocumento}
				</td>
				<td>
					${co.denominacionCliente}
				</td>
				<td>
					${co.fechaGuia}
				</td>
				<td>
					<c:if test="${(empty co.fechaEntrega) }">
						NO
					</c:if>	
					<c:if test="${(!empty co.fechaEntrega) }">
						SI
					</c:if>
				</td>
				
				<td align="right">
					${co.totalGeneral}
				</td>
				<td align="right">
					${co.totalDescuento}
				</td>
				<td align="right">
					${co.totalRecargo}
				</td>
				<td align="right">
					${co.totalNeto}
				</td>
				
				<td>
					${co.usuario}
				</td>
				
				<td align="center">
					<button type="button" class="btn btn-success btn-sm" onclick="addGroup(${co.idGuia},${co.idCliente})" >
						<i class="entypo-check"></i>
					</button>
				</td>
			</tr>
			
			<c:set var="total_cantidad" value="${total_cantidad + 1}" scope="request"/>
			<c:set var="total_general" value="${total_general + co.totalGeneral}" scope="request"/>
			<c:set var="total_descuento" value="${total_descuento + co.totalDescuento}" scope="request"/>
			<c:set var="total_recargo" value="${total_recargo + co.totalRecargo}" scope="request"/>
			<c:set var="total_neto" value="${total_neto + co.totalNeto}" scope="request"/>
				
		</c:forEach>
		<tbody>
		<tfoot>
			<tr>
				<td></td>
				<td>Total</td>
				<td>
					${total_cantidad}
				</td>
				<td></td>
				<td></td>
				
				<td align="right">
					<fmt:formatNumber type = "number" maxFractionDigits = "3" value = "${total_general}" />
				</td>
				<td align="right">
					<fmt:formatNumber type = "number" maxFractionDigits = "3" value = "${total_descuento}" />
				</td>
				<td align="right">
					<fmt:formatNumber type = "number" maxFractionDigits = "3" value = "${total_recargo}" />
				</td>
				<td align="right">
					<fmt:formatNumber type = "number" maxFractionDigits = "3" value = "${total_neto}" />
				</td>
				
				<td></td>
				<td></td>
			</tr>
		</tfoot>
	</table>
						
	<script>

		var baseURL=$('#contextPathHolder').attr('data-contextPath');
		var pidGrupo=$('#pidGrupo').attr('data-contextPath');
		
		function addGroup(idGuia,idCliente){
			$.ajax({
				url : baseURL + "/add-group-guia",
				data : {
					idGuia:idGuia,
					pidGrupo:pidGrupo,
					idCliente:idCliente	
				},
				async:false,
				type : "get",
				success : function(response) {
					$("#subViewDivGroup").html( response );
					$("#cmdBuscar").click();
				}
			});
		}
		
		$(document).ready(function() {
			$('#example').DataTable( {
		    	"scrollCollapse": false,
		        "bFilter": false,
		        "lengthChange": false,
		        "pageLength":  1000,
				autoWidth: false, //step 1
				"columnDefs": [
								{ "width": "2px", "targets": 0}
				             ]
		    		} );
			});
	
		function setIdGuias(){
			var cant=0
			var idLeads=""
			$('#example tr').each(function (i, row) {
		        var $actualrow = $(row);
		        $checkbox = $actualrow.find('input:checked');
		        if (typeof $checkbox.attr('text') !== "undefined") {
		        	idLeads=idLeads+","+$checkbox.attr('text');
		        	cant=cant+1;
		        }
		    });
			$("#hIdGuias").val(idLeads);
			$("#hIdGuiasCant").val(cant);
		}
	</script>
	
	<STYLE TYPE="text/css">
	<!--
	TD{font-family: Arial; font-size: 8pt;}
	TH{font-family: Arial; font-size: 8pt;}
	--->
	</STYLE>

</body>
</html>