<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	
</head>

<body>
		<table id="tmanteservicio" cellspacing="0" cellpadding="0" class="cell-border display compact" style="width:100%" >
			<thead>
				<tr>
					<th align="left" colspan="7">
						<button type="button" onclick="setParameter(-1)" class="btn btn-success btn-xs" data-toggle="modal" data-target="#mManteServicio">Agregar<i class="entypo-plus"></i> </button>
					</th>
				</tr>
				<tr>
					<th align="center">
						Item
					</th>
					<th>Codigo</th>
					<th>Denominacion</th>
					<th>Descripcion</th>
					<th>Marca</th>
					<th></th>
					<th></th>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${lServicios}" var="o" varStatus="i" >
				<tr>	
					<td align="center">
						${i.count}
					</td>
					
					<td align="center">
						${o.idServicio}
					</td>						
					<td>
						${o.denominacion}
					</td>
					<td>
						${o.descripcion}
					</td>
					<td>
						${o.marca}
					</td>
					<td align="center">
						<input type="hidden" id="hIdServicio${i.index}" value="<c:out value="${o.idServicio}"/>">
						<input type="hidden" id="hDenominacion${i.index}" value="<c:out value="${o.denominacion}"/>">
						<input type="hidden" id="hDescripcion${i.index}" value="<c:out value="${o.descripcion}"/>">
						<input type="hidden" id="hMarca${i.index}" value="<c:out value="${o.marca}"/>">
						
						<a href="#" onclick="setParameter(${i.index})" data-toggle="modal" data-target="#mManteServicio"> 
							<i class="entypo-pencil">
							</i> 
						</a>
					</td>
					<td align="center">
						<a href="#" onclick="confirmDelete(${i.index})" data-toggle="modal" data-target="#mDelServicio"> 
							<i class="entypo-cancel"></i> 
						</a>
					</td>
				</tr>
			</c:forEach>
			<tbody>
		</table>
		
	<script>
		$(document).ready(function() {
			$('#tmanteservicio').DataTable( {
		    	"scrollY":        500,
		        "scrollCollapse": true,
		        "jQueryUI":       true,
		        "bFilter": true,
		        "pageLength": 100,
		        dom : 'Bfrtip',
				buttons : ['excel', 'pdf', 'print'],
				autoWidth: false, //step 1
				"columnDefs": [
								{ "width": "2px", "targets": 0},
								{ "width": "2px", "targets": 1},
								{ "width": "2px", "targets": 5},
								{ "width": "2px", "targets": 6},
								{ "targets": 2,"searchable": true }
				             ]
		    		} );
			});

		function setParameter(index){
			if(index>=0){
				var hIdServicio=document.getElementById('hIdServicio'+index+'');
				var hDenominacion=document.getElementById('hDenominacion'+index+'');
				var hDescripcion=document.getElementById('hDescripcion'+index+'');
				var hMarca=document.getElementById('hMarca'+index+'');
				
	        	$("#hIdServicio").val(hIdServicio.value);
	        	$("#txtDenominacion").val(hDenominacion.value);
	        	$("#txtDescripcion").val(hDescripcion.value);
	        	$("#txtMarca").val(hMarca.value);
			}else{
				$("#hIdServicio").val(0);
				$("#txtDenominacion").val("");
	        	$("#txtDescripcion").val("");
	        	$("#txtMarca").val("");
			}
			$('#txtDenominacion').focus();
    		$('#txtDenominacion').select();
		}
		
		function confirmDelete(index){
			if(index>=0){
				var hIdServicio=document.getElementById('hIdServicio'+index+'');
				var hDenominacion=document.getElementById('hDenominacion'+index+'');

				$("#hIdServicioDelete").val(hIdServicio.value);
	        	$("#txtDenominacionDelete").val(hDenominacion.value);
			}
		}
		
	</script>
	
	<STYLE TYPE="text/css">
	<!--
	TD{font-family: Arial; font-size: 9pt;}
	TH{font-family: Arial; font-size: 9pt;}
	--->
	</STYLE>

</body>
</html>