<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<body>
	<table id="example" cellspacing="0" cellpadding="0" class="cell-border display compact" style="width:100%" >
		<thead>
			<tr>
				<th>Id Genera</th>
				<th>Fecha archivo DBF</th>
				<th>Cantidad</th>
				<th>Fecha generacion</th>
				<th>Usuario</th>
			</tr>
		</thead>
		<tbody>
			<c:forEach items="${lista}" var="co"  varStatus="item" >
				<tr>							
					<td>
						${item.index}
					</td>
					<td>
						${co.fechaArchivo}
					</td>
					<td>
						${co.cantidad}
					</td>
					<td>
						${co.fechaGeneracion}
					</td>
					<td>
						${co.usuario}
					</td>
				</tr>
			</c:forEach>
		<tbody>
	</table>
	<script>
	$(document).ready(function() {
		$('#example').DataTable( {
	    	"scrollY":        600,
	        "scrollCollapse": true,
	        "jQueryUI":       true,
	        "bFilter": true,
	        "pageLength":  35,
	        autoWidth: false, //step 1
			"columnDefs": [
							{ "width": "2px", "targets": 0}
			             ]
	    		} );
		});
	</script>
	<STYLE TYPE="text/css">
	<!--
	TD{font-family: Arial; font-size: 8pt;}
	TH{font-family: Arial; font-size: 8pt;}
	--->
	</STYLE>
		
</body>
</html>