<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<body>
  		<div class="row">
			<div class="form-group">
					<table id="tablaGuiaDetalle" class="table table-bordered">
						<thead>
							<tr align="right">
								<th>
									
								</th>
								<th>Codigo</th>
								<th>Denominacion</th>
								<th>Cantidad</th>
								<th>Precio Unit</th>
								<th>Total Bruto</th>
								<th>SubTotal</th>
								<th>Descuento</th>
								<th>Recargo</th>
								<th>Igv</th>
								<th>Total Linea</th>
								<th width="4px"></th>
								<th width="4px"></th>
							</tr>
						</thead>
						<tbody>
							<c:set var="total_cantidad" value="0" scope="request" />
							<c:set var="total_precio" value="0" scope="request" />
							<c:set var="total_totalbruto" value="0" scope="request" />
							<c:set var="total_subtotal" value="0" scope="request" />
							<c:set var="total_descuento" value="0" scope="request" />
							<c:set var="total_recargo" value="0" scope="request" />
							<c:set var="total_igv" value="0" scope="request" />
							<c:set var="total_totallinea" value="0" scope="request" />
							
							<c:forEach items="${lGuiaDetalle}" var="o" varStatus="i" >
								<tr align="right">			
									<td align="center">
										${i.count}
									</td>				
									<td>${o.idGuiaDetalle}</td>
									<td>${o.denominacion}</td>
									<td>${o.cantidad}</td>
									<td><fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${o.precioUnitario}"/></td>
										<td><fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${o.totalBruto}"/></td>
									<td><fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${o.subtotal}"/></td>
									<td><fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${o.totalDescuento}"/></td>
									<td><fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${o.totalRecargo}"/></td>
									<td><fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${o.igv}"/></td>
									<td><fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${o.totalLinea}"/></td>
									<th>
										<button type="button" class="btn btn-success btn-xs" onclick="editItem(${i.index})">
											<i class="entypo-pencil"></i> 
										</button>
									</th>
									<th>
										<input type="hidden" id="hIdGuia${i.index}" value="<c:out value="${o.idGuia}"/>">
										<input type="hidden" id="hIdGuiaDetalle${i.index}" value="<c:out value="${o.idGuiaDetalle}"/>">
										<input type="hidden" id="hDenominacion${i.index}" value="<c:out value="${o.denominacion}"/>">
										
										<button type="button" class="btn btn-success btn-xs" 
												onclick="confirmDelete(${i.index})" data-toggle="modal" 
												data-target="#mDeleteGuiaItem">
												<i class="entypo-cancel-circled"></i> 
										</button>
									</th>
									<c:set var="total_cantidad" value="${total_cantidad + o.cantidad}" scope="request"/>
									<c:set var="total_precio" value="${total_precio + o.precioUnitario}" scope="request"/>
										<c:set var="total_totalbruto" value="${total_totalbruto + o.totalBruto}" scope="request"/>
									<c:set var="total_subtotal" value="${total_subtotal + o.subtotal}" scope="request"/>
									<c:set var="total_descuento" value="${total_descuento + o.descuento}" scope="request"/>
									<c:set var="total_recargo" value="${total_recargo + o.recargo}" scope="request"/>
									<c:set var="total_igv" value="${total_igv + o.igv}" scope="request"/>
									<c:set var="total_totallinea" value="${total_totallinea + o.totalLinea}" scope="request"/>
								</tr>
							</c:forEach>
						</tbody>
							
						<tfoot>
							<tr >
								<td></td>						
								<td align="right">Total</td>
								<td></td>
								
								
								<td align="right"><!-- cantidad -->
									<input disabled="disabled" style="text-align: right;width:50px" type="text" value="${total_cantidad}">
								</td>
								
								<td align="right"><!-- precio unitario -->
								</td>
								
									<td align="right">
										<input type="hidden" id="fTotalBruto" value="${total_totalbruto}">
										<input disabled="disabled" id="txtfTotalBruto" style="text-align: right;width:80px" type="text" value="<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_totalbruto}"/>">
									</td>
								<td align="right">
									<input type="hidden" id="fTotalGeneral" value="${total_subtotal}">
									<input disabled="disabled" id="txtfTotalGeneral" style="text-align: right;width:80px" type="text" value="<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_subtotal}"/>">
								</td>
								
								<td align="right">
									<input type="hidden" id="fTotalDescuento" value="${total_descuento}">
									<input disabled="disabled" id="txtfTotalDescuento" style="text-align: right;width:80px" type="text" value="<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_descuento}"/>">
								</td>
								
								<td align="right">
									<input type="hidden" id="fTotalRecargo" value="${total_recargo}">
									<input disabled="disabled" id="txtfTotalRecargo" style="text-align: right;width:80px" type="text" value="<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_recargo}"/>">
								</td>
								
								<td align="right">
									<input type="hidden" id="fTotalIgv" value="${total_igv}">
									<input disabled="disabled" id="txtfTotalIgv" style="text-align: right;width:80px" type="text" value="<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_igv}"/>">
								</td>
								
								<td align="right">
									<input type="hidden" id="fTotalNeto" value="${total_totallinea}">
									<input disabled="disabled" id="txtfTotalNeto" style="text-align: right;width:80px" type="text" value="<fmt:formatNumber type="number" pattern="###,##0.00" maxFractionDigits="2" minIntegerDigits="2" value="${total_totallinea}"/>">
								</td>
								<td>
									
								</td>
								<td>
								</td>
							</tr>
						</tfoot>
					</table>
					
			</div>
		</div>


	
		<div class="row">
			<div class="form-group">
				
			</div>
		</div>		
		
		<script>
			var baseURL=$('#contextPathHolder').attr('data-contextPath');
			
			function confirmDelete(index){
				
				var estado=$("#hEstado").val();
				if(index>=0&&estado!='2')//ESTADO_GUIDE_COMPLETO = "2";{}
				{	
					var hIdGuia=document.getElementById('hIdGuia'+index+'');
					var hIdGuiaDetalle=document.getElementById('hIdGuiaDetalle'+index+'');
					var hDenominacion=document.getElementById('hDenominacion'+index+'');

					$("#hIdGuia").val(hIdGuia.value);
					$("#hIdGuiaDetalleDelete").val(hIdGuiaDetalle.value);
		        	$("#txtDenominacionDelete").val(hDenominacion.value);
				}
			}
			

			function editItem(index){
				var estado=$("#hEstado").val();
				if(index>=0&&estado!='2')//ESTADO_GUIDE_COMPLETO = "2";
				{	var hIdGuiaDetalle=document.getElementById('hIdGuiaDetalle'+index+'');
					var hIdGuia=document.getElementById('hIdGuia'+index+'');
					
					var vIdGuiaDetalle=hIdGuiaDetalle.value;
			      	var vIdGuia=hIdGuia.value;

					$.ajax({
						url : baseURL + "/get-item-guia",
						data : {
							idGuia:vIdGuia,
							idGuiaDetalle:vIdGuiaDetalle
						},
						async:false,
						type : "get",
						success : function(guiaDetalle) {
							$("#txtIdServicio").val(guiaDetalle.denominacion);
							$("#txtPrecio").val(guiaDetalle.precioUnitario);
							$("#txtCantidad").val(guiaDetalle.cantidad);
							$("#txtDescripcion").val(guiaDetalle.descripcion);
							$("#hIdGuiaDetalle").val(guiaDetalle.idGuiaDetalle);//FOR EDIT
							$("#hIdDetalleLista").val(guiaDetalle.idDetalleLista);//FOR EDIT
							$("#txtIdServicio").focus();
							$("#txtIdServicio").select();
						}
					});
				}else{
					alert(index+' '+estado);
				}
			}
		</script>
</body>
</html>