<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/common/taglibs.jsp"%>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<body>
		<table id="example" cellspacing="0" cellpadding="0" class="cell-border display compact" style="width:100%" >
			<thead>
				<tr>
					<th>Guia</th>
					<th>Documento</th>
					<th>Denominacion Cliente</th>
					<th>Fecha Guia</th>
					<th>Fecha Comp</th>
					<th>Fecha Entrega</th>
					<th>Prioridad</th>
					<th>Comentario</th>
					<th>Estado entrega</th>
					<th>Total Neto</th>
					<th>Usuario</th>
				</tr>
			</thead>
			<tbody>
				<c:forEach items="${lista}" var="co"  varStatus="item" >
				<tr>							
					<td>
						${co.nroGuia}
					</td>
					<td>
						${co.tipoDocumento} ${co.nroDocumento}
					</td>
					<td>
						${co.denominacionCliente}
					</td>
					<td>
						${co.fechaGuia}
					</td>
					<td>
						${co.fechaComprometida}
					</td>
					<td>
						${co.fechaEntrega}
					</td>
					<td>
						${co.prioridad}
					</td>
					<td>
						${co.comentario}
					</td>
					<td>
						${co.estadoEntrega}
					</td>
					<td>
						${co.totalNeto}
					</td>
					<td>
						${co.usuario}
					</td>
				</tr>
			</c:forEach>
			<tbody>
		</table>

						
	<script>
	$(document).ready(function() {
		$('#example').DataTable( {
			"scrollCollapse": true,
	        "jQueryUI":       true,
	        "bFilter": true,
	        "pageLength": 100,
	        dom : 'Bfrtip',
	        buttons : [ {extend:'excel',footer: false,title:'Reporte de estado de ordenes'}],
			autoWidth: false, //step 1
			"columnDefs": [
							{ "width": "2px", "targets": 0}
			             ]
	    		} );
		});
	</script>
	
	
	<STYLE TYPE="text/css">
	<!--
	TD{font-family: Arial; font-size: 8pt;}
	TH{font-family: Arial; font-size: 8pt;}
	--->
	</STYLE>

</body>
</html>