$(document).ready(function() {
	
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
    
	$.ajax({
		url : baseURL + "/lista-leads",
		async:false,
		type : "get",
		success : function(response) {
			$("#subViewDiv").html( response );
		}
	});
	
	$("#fileSubmit").click(function (event) {
        fire_ajax_submit();
    });
	
	$("#cmdBuscar").click(function (event) {
        
		var selIdAdsetName=$("#selIdAdsetName").val();
		var txtFechaAdsIni=$("#txtFechaAdsIni").val();
		var txtFechaAdsFin=$("#txtFechaAdsFin").val();
		var selIdArea=$("#selIdArea").val();
		var selIdSubArea=$("#selIdSubArea").val();
		
		if((!isEmpty(txtFechaAdsIni)) && isEmpty(txtFechaAdsFin)){
			txtFechaAdsFin=txtFechaAdsIni;
		}
		
		$.ajax({
			url : baseURL + "/buscar-leads",
			data : {
				idAdsetName:selIdAdsetName,
				fechaAdsIni:txtFechaAdsIni,
				fechaAdsFin:txtFechaAdsFin,
				idArea:selIdArea,
				idSubArea:selIdSubArea	
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
		
    });
	
	$("#cmdGuardarEjecutivo").click(function (event) {
		var selIdEjecutivo=$("#selIdEjecutivo").val();
		$.ajax({
			url : baseURL + "/asignar-ejecutivo-all",
			data : {
				idEjecutivo:selIdEjecutivo	
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
    });
	
	$("#cmdGuardarEjecutivoSingle").click(function (event) {
		
		var selIdEjecutivoSingle=$("#selIdEjecutivoSingle").val();
		var hIdLead=$("#hIdLead").val();
    	
		$.ajax({
			url : baseURL + "/asignar-ejecutivo-single",
			data : {
				idEjecutivo:selIdEjecutivoSingle,
				idLead:hIdLead
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
    });
	
	$("#cmdGuardarSeguimiento").click(function (event) {
		var selIdEjecutivoSingle=$("#hIdEjecutivoSeguimiento").val();
		var hIdLead=$("#hIdLeadSeguimiento").val();
		
		var selIdCotizado=$("#selIdCotizado").val();
		var txtFechaContacto=$("#txtFechaContacto").val();
		var selIdCanal=$("#selIdCanal").val();
		var selIdReserva=$("#selIdReserva").val();
		var selIdMotivo=$("#selIdMotivo").val();
		var txtPaxFinal=$("#txtPaxFinal").val();
		var txtRevenue=$("#txtRevenue").val();
		var txtServicioFinal=$("#txtServicioFinal").val();
    	
		$.ajax({
			url : baseURL + "/guardar-seguimiento",
			data : {
				idEjecutivo:selIdEjecutivoSingle,
				idLead:hIdLead,	
				idCotizado:selIdCotizado,
				fechaContacto:txtFechaContacto,
				idCanal:selIdCanal,
				idReserva:selIdReserva,
				idMotivo:selIdMotivo,
				paxFinal:txtPaxFinal,
				revenue:txtRevenue,
				servicioFinal:txtServicioFinal
			},
			async:false,
			type : "get",
			success : function(response) {
				$("#subViewDiv").html( response );
			}
		});
    });
	
	
	function isEmpty(str){
        return !str.replace(/^\s+/g, '').length; // boolean (`true` if field is empty)
    }
	
});


function fire_ajax_submit() {
	var baseURL=$('#contextPathHolder').attr('data-contextPath');
	var formData = new FormData();
    formData.append('file', $('input[type=file]')[0].files[0]);
    console.log("form data " + formData);
    $.ajax({
        url : baseURL+'/theurl',
        data : formData,
        processData : false,
        contentType : false,
        type : 'POST',
        success : function(response) {
        	$("#subViewDiv").html( response );
        },
        error : function(err) {
            alert(err);
        }
    });

}
