package com.delfines.vo;

import com.delfines.business.Util;

public class ConsultaDetalleOrdenes {
	private Integer idDetalleGuia;
	private Integer idGuia;
	private String nroGuia;
	private String tipoCliente;
	private String tipoDocumento;
	private String nroDocumento;
	private String denominacionCliente;
	private String fechaGuia;
	private String fechaComprometida;
	private String fechaEntrega;
	private String comentarioGuia;
	private String usuario;
	private String servicio;
	private String descripcionServicio;
	private Double cantidad;
	private String detalleServicio;
	private String prioridad;
	
	private String estadoEntrega;
	
	private String clase;
	
	private Double totalLinea;
	private String formatTotalLinea;
	
	
	public String getFormatTotalLinea() {
		return Util.format(this.totalLinea);
	}
	
	public Double getTotalLinea() {
		return totalLinea;
	}
	public void setTotalLinea(Double totalLinea) {
		this.totalLinea = totalLinea;
	}
	public String getEstadoEntrega() {
		return estadoEntrega;
	}
	public void setEstadoEntrega(String estadoEntrega) {
		this.estadoEntrega = estadoEntrega;
	}
	
	public String getClase() {
		return clase;
	}
	public void setClase(String clase) {
		this.clase = clase;
	}
	public Integer getIdDetalleGuia() {
		return idDetalleGuia;
	}
	public void setIdDetalleGuia(Integer idDetalleGuia) {
		this.idDetalleGuia = idDetalleGuia;
	}
	public Integer getIdGuia() {
		return idGuia;
	}
	public void setIdGuia(Integer idGuia) {
		this.idGuia = idGuia;
	}
	public String getNroGuia() {
		return nroGuia;
	}
	public void setNroGuia(String nroGuia) {
		this.nroGuia = nroGuia;
	}
	public String getTipoCliente() {
		return tipoCliente;
	}
	public void setTipoCliente(String tipoCliente) {
		this.tipoCliente = tipoCliente;
	}
	public String getTipoDocumento() {
		return tipoDocumento;
	}
	public void setTipoDocumento(String tipoDocumento) {
		this.tipoDocumento = tipoDocumento;
	}
	public String getNroDocumento() {
		return nroDocumento;
	}
	public void setNroDocumento(String nroDocumento) {
		this.nroDocumento = nroDocumento;
	}
	public String getDenominacionCliente() {
		return denominacionCliente;
	}
	public void setDenominacionCliente(String denominacionCliente) {
		this.denominacionCliente = denominacionCliente;
	}
	public String getFechaGuia() {
		return fechaGuia;
	}
	public void setFechaGuia(String fechaGuia) {
		this.fechaGuia = fechaGuia;
	}
	public String getFechaComprometida() {
		return fechaComprometida;
	}
	public void setFechaComprometida(String fechaComprometida) {
		this.fechaComprometida = fechaComprometida;
	}
	public String getFechaEntrega() {
		return fechaEntrega;
	}
	public void setFechaEntrega(String fechaEntrega) {
		this.fechaEntrega = fechaEntrega;
	}
	public String getComentarioGuia() {
		return comentarioGuia;
	}
	public void setComentarioGuia(String comentarioGuia) {
		this.comentarioGuia = comentarioGuia;
	}
	public String getUsuario() {
		return usuario;
	}
	public void setUsuario(String usuario) {
		this.usuario = usuario;
	}
	public String getServicio() {
		return servicio;
	}
	public void setServicio(String servicio) {
		this.servicio = servicio;
	}
	public String getDescripcionServicio() {
		return descripcionServicio;
	}
	public void setDescripcionServicio(String descripcionServicio) {
		this.descripcionServicio = descripcionServicio;
	}
	public Double getCantidad() {
		return cantidad;
	}
	public void setCantidad(Double cantidad) {
		this.cantidad = cantidad;
	}
	public String getDetalleServicio() {
		return detalleServicio;
	}
	public void setDetalleServicio(String detalleServicio) {
		this.detalleServicio = detalleServicio;
	}
	public String getPrioridad() {
		return prioridad;
	}
	public void setPrioridad(String prioridad) {
		this.prioridad = prioridad;
	}
		
}
